summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--dist-assets/linux/after-remove.sh6
-rw-r--r--dist-assets/linux/before-install.sh2
-rw-r--r--dist-assets/linux/before-remove.sh2
3 files changed, 5 insertions, 5 deletions
diff --git a/dist-assets/linux/after-remove.sh b/dist-assets/linux/after-remove.sh
index 730445448f..c1ea4bafcc 100644
--- a/dist-assets/linux/after-remove.sh
+++ b/dist-assets/linux/after-remove.sh
@@ -2,14 +2,14 @@
set -eu
function remove_logs_and_cache {
- rm -rf /var/log/mullvad-vpn/ || \
+ rm -r --interactive=never /var/log/mullvad-vpn/ || \
echo "Failed to remove mullvad-vpn logs"
- rm -rf /var/cache/mullvad-vpn/ || \
+ rm -r --interactive=never /var/cache/mullvad-vpn/ || \
echo "Failed to remove mullvad-vpn cache"
}
function remove_config {
- rm -rf /etc/mullvad-vpn || \
+ rm -r --interactive=never /etc/mullvad-vpn || \
echo "Failed to remove mullvad-vpn config"
}
diff --git a/dist-assets/linux/before-install.sh b/dist-assets/linux/before-install.sh
index 2495ba2b25..fc27f787ae 100644
--- a/dist-assets/linux/before-install.sh
+++ b/dist-assets/linux/before-install.sh
@@ -11,4 +11,4 @@ fi
pkill -x "mullvad-gui" || true
-rm -f /var/cache/mullvad-vpn/relays.json || true
+rm -f /var/cache/mullvad-vpn/relays.json
diff --git a/dist-assets/linux/before-remove.sh b/dist-assets/linux/before-remove.sh
index 375f7eab5f..ffc27a3bec 100644
--- a/dist-assets/linux/before-remove.sh
+++ b/dist-assets/linux/before-remove.sh
@@ -14,7 +14,7 @@ if [[ "$1" == "upgrade" ]]; then
exit 0;
fi
-mullvad account clear-history || echo "Failed to remove leftover WireGuard keys"
+/usr/bin/mullvad account clear-history || echo "Failed to remove leftover WireGuard keys"
if which systemctl &> /dev/null; then
# the user might've disabled or stopped the service themselves already